#!/usr/bin/env python
# -*- coding: utf-8 -*-

from setuptools import setup
import os, glob

package_name = os.environ.get('PACKAGE_DST', 'creole')

BASE_DIR = 'share/'
DOC_DIR =  os.path.join(BASE_DIR, 'doc/creole')

# documentation
doc = [(DOC_DIR, glob.glob('doc/*.html') + glob.glob('doc/*.txt')),
       (os.path.join(DOC_DIR, 'api'), glob.glob('doc/api/*.html') + glob.glob('doc/api/*.css')),
]

if package_name != 'creole':
    package_dir = {package_name: 'creole'}
else:
    package_dir = {}

setup(
    author='Équipe EOLE',
    author_email='eole@ac-dijon.fr',
    name=package_name,
    version='2.5.2',
    description='Eole configuration tools',
    url='http://www.eole.orion.education.fr',
    packages=[package_name, package_name + '.lint', package_name + '.valid'],
    package_dir=package_dir,
    data_files=doc
)
